//
//  SFDeliciousRequestType.h
//  SFDeliciousApi
//
//  Created by Matteo Rattotti on 1/9/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import "SFDeliciousGlobalHeader.h"

typedef enum _SFDeliciousRequestType{
    /* Api requests */
    SFDeliciousPostAllRequest         = 0,  // all bookmarks request
    SFDeliciousPostRecenteRequest     = 1,  // recent bookmarks request 
    SFDeliciousBundleRequest          = 2,
    SFDeliciousTagAllRequest          = 3,
    SFDeliciousLastUpdateRequest      = 4,
    SFDeliciousPostBookmarkRequest    = 5,
    SFDeliciousPostSuggestionRequest  = 6,
    SFDeliciousPostGetRequest         = 7,
    SFDeliciousPostAllHashesRequest   = 8,
    SFDeliciousDeleteBookmarkRequest  = 9,
    SFDeliciousGetBookmarkInfoRequest = 11,
    SFPinboardPostSuggestionRequest   = 14,
    
    /* Feed requests */
    SFDeliciousNetworkPostRequest       = 10,
    SFDeliciousSecretRSSKeyRequest      = 12,
    SFDeliciousSecretNetworkPostRequest = 13,

    
    /* OAuth requests */
    SFDeliciousRequestTokenRequest = 101,
    SFDeliciousAuthTokenRequest   = 102,

    
} SFDeliciousRequestType;

typedef enum _SFDeliciousResponseType{
    /* Api responses */
    SFDeliciousPostAllResponse         = 0,  // all bookmarks response
    SFDeliciousPostRecenteResponse     = 1,  // recent bookmarks response
    SFDeliciousBundleResponse          = 2,
    SFDeliciousTagAllResponse          = 3,
    SFDeliciousLastUpdateResponse      = 4,
    SFDeliciousPostBookmarkResponse    = 5,
    SFDeliciousPostSuggestionResponse  = 6,   
    SFDeliciousPostGetResponse         = 7,
    SFDeliciousPostAllHashesResponse   = 8,
    SFDeliciousDeleteBookmarkResponse  = 9,
    SFDeliciousGetBookmarkInfoResponse = 11,
    SFPinboardPostSuggestionResponse   = 14,

    /* Feed responses */
    SFDeliciousNetworkPostResponse       = 10,
    SFDeliciousSecretRSSKeyResponse      = 12,
    SFDeliciousSecretNetworkPostResponse = 13,

    /* OAuth responses */
    SFDeliciousRequestTokenResponse = 101,
    SFDeliciousAuthTokenResponse   = 102,


} SFDeliciousResponseType;