//
//  SFDeliciousXMLParser.h
//  SFDeliciousApi
//
//  Created by Matteo Rattotti on 1/30/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "SFDeliciousGlobalHeader.h"
#import "SFDeliciousRequestType.h"
#import "SFDeliciousXMLParserDelegate.h"

#ifndef TARGET_OS_IPHONE

@interface SFDeliciousXMLParser : NSObject {

#else

@interface SFDeliciousXMLParser : NSObject <NSXMLParserDelegate> {
    
#endif
    
    NSObject <SFDeliciousXMLParserDelegate> *delegate;
    NSString *identifier;
    SFDeliciousRequestType requestType;
    SFDeliciousResponseType responseType;
    NSData *xml;
    NSMutableArray *parsedObjects;
    NSXMLParser *parser;
}

+ (id)parserWithXML:(NSData *)theXML delegate:(NSObject *)theDelegate 
connectionIdentifier:(NSString *)identifier requestType:(SFDeliciousRequestType)reqType 
       responseType:(SFDeliciousResponseType)respType;
       
- (id)initWithXML:(NSData *)theXML delegate:(NSObject *)theDelegate 
connectionIdentifier:(NSString *)theIdentifier requestType:(SFDeliciousRequestType)reqType 
     responseType:(SFDeliciousResponseType)respType;

@end
